[youtubei.js](../../../README.md) / [Utils](../README.md) / generateSidAuth

# Function: generateSidAuth()

> **generateSidAuth**(`sid`): `Promise`\<`string`\>

Generates an authentication token from a cookies' sid.

## Parameters

• **sid**: `string`

Sid extracted from cookies

## Returns

`Promise`\<`string`\>

## Defined in

[src/utils/Utils.ts:97](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L97)
